<?php
if (!defined ('TYPO3_MODE')) die ('Access denied.');

$TCA['tx_odsosm_layer'] = array (
	'ctrl' => $TCA['tx_odsosm_layer']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,title,javascript,javascript_include,static_url'
	),
	'feInterface' => $TCA['tx_odsosm_layer']['feInterface'],
	'columns' => array (
		'hidden' => array (        
			'exclude' => 0,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'title' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_layer.title',        
			'config' => array (
				'type' => 'input',
				'size' => '30',
			)
		),
		'javascript' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_layer.javascript',        
			'config' => array (
				'type' => 'input',
				'size' => '30',
			)
		),
		'javascript_include' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_layer.javascript_include',        
			'config' => array (
				'type' => 'input',
				'size' => '30',
				'checkbox' => '',
			)
		),
		'static_url' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_layer.static_url',        
			'config' => array (
				'type' => 'input',
				'size' => '30',
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, javascript;;;;3-3-3, javascript_include, static_url;;;;4-4-4')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);

$TCA['tx_odsosm_marker'] = array (
	'ctrl' => $TCA['tx_odsosm_marker']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'title,icon,offset_x,offset_y'
	),
	'feInterface' => $TCA['tx_odsosm_marker']['feInterface'],
	'columns' => array (
		'title' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_marker.title',        
			'config' => array (
				'type' => 'input',    
				'size' => '30',
			)
		),
		'icon' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_marker.icon',        
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => 'gif,png,jpeg,jpg',    
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],    
				'uploadfolder' => 'uploads/tx_odsosm',
				'show_thumbs' => 1,    
				'size' => 1,    
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'size_x' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_marker.size_x',        
			'config' => array (
				'type'     => 'input',
				'size'     => 4,
				'max'      => 4,
				'eval'     => 'int',
				'checkbox' => 0,
				'range'    => array (
					'lower' => 0,
					'upper' => 9999,
				),
				'default' => 0
			)
		),
		'size_y' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_marker.size_y',        
			'config' => array (
				'type'     => 'input',
				'size'     => 4,
				'max'      => 4,
				'eval'     => 'int',
				'checkbox' => 0,
				'range'    => array (
					'lower' => 0,
					'upper' => 9999,
				),
				'default' => 0
			)
		),
		'offset_x' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_marker.offset_x',        
			'config' => array (
				'type'     => 'input',
				'size'     => 5,
				'max'      => 5,
				'eval'     => 'int',
				'checkbox' => 0,
				'range'    => array (
					'lower' => -9999,
					'upper' => 9999,
				),
				'default' => 0
			)
		),
		'offset_y' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_marker.offset_y',        
			'config' => array (
				'type'     => 'input',
				'size'     => 5,
				'max'      => 5,
				'eval'     => 'int',
				'checkbox' => 0,
				'range'    => array (
					'lower' => -9999,
					'upper' => 9999,
				),
				'default' => 0
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'title;;;;2-2-2, icon;;;;3-3-3, size_x, size_y, offset_x, offset_y')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);

$TCA['tx_odsosm_track'] = array (
	'ctrl' => $TCA['tx_odsosm_track']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,title,color,width,file,min_lat,min_lon,max_lat,max_lon'
	),
	'feInterface' => $TCA['tx_odsosm_track']['feInterface'],
	'columns' => array (
		'hidden' => array (        
			'exclude' => 0,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => 0
			)
		),
		'title' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.title',        
			'config' => array (
				'type' => 'input',    
				'size' => 30,
			)
		),
		'color' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.color',        
			'config' => array (
				'type' => 'input',    
				'size' => 10,
				'max' => 10,
				'default' => '#37b7ff',
				'eval' => 'nospace,trim',
			)
		),
		'width' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.width',        
			'config' => array (
				'type' => 'input',    
				'size' => 3,
				'max' => 3,
				'default' => 5,
				'range' => array(
					'lower' => 1,
					'upper' => 255
				),
				'eval' => 'int',
			)
		),
		'file' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.file',        
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => 'gpx',    
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],    
				'uploadfolder' => 'uploads/tx_odsosm',
				'size' => 1,    
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'min_lat' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.min_lat',        
			'config' => array (
				'type' => 'none',
			)
		),
		'min_lon' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.min_lon',        
			'config' => array (
				'type' => 'none',
			)
		),
		'max_lat' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.max_lat',        
			'config' => array (
				'type' => 'none',
			)
		),
		'max_lon' => array (        
			'exclude' => 0,        
			'label' => 'LLL:EXT:ods_osm/locallang_db.xml:tx_odsosm_track.max_lon',        
			'config' => array (
				'type' => 'none',
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 'hidden;;1;;1-1-1, title;;;;2-2-2, color, width, file, min_lat;;;;3-3-3, min_lon, max_lat, max_lon')
	),
	'palettes' => array (
		'1' => array('showitem' => '')
	)
);
?>