<?php
class tx_odsosm_tcemain {
	function processDatamap_preProcessFieldArray(&$incomingFieldArray, $table, $id, $obj){
		$config=unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['ods_osm']);

		// Search coordinates
		if(in_array($table,array('fe_users','tt_address')) && $config['autocomplete']){
			if(floatval($incomingFieldArray['tx_odsosm_lat'])==-1){
				if($incomingFieldArray['zip']) $query['postalcode']=$incomingFieldArray['zip'];
				if($incomingFieldArray['city']) $query['placename']=$incomingFieldArray['city'];
				if(strlen($incomingFieldArray['country'])==2) $query['country']=$incomingFieldArray['country'];

				if($query){
					$query['maxRows']=1;

					$ch=curl_init();
					curl_setopt_array($ch,array(
						CURLOPT_URL=>'http://ws.geonames.org/postalCodeSearch?'.http_build_query($query),
						CURLOPT_HEADER=>false,
						CURLOPT_RETURNTRANSFER=>true,
					));
					$xml=curl_exec($ch);
					curl_close($ch);

					$array=t3lib_div::xml2array($xml);
					if(is_array($array['code'])){
						$incomingFieldArray['tx_odsosm_lat']=$array['code']['lat'];
						$incomingFieldArray['tx_odsosm_lon']=$array['code']['lng'];
					}
				}
			}
		}
	}

	function processDatamap_postProcessFieldArray($status, $table, $id, &$fieldArray, $obj) {
		// Get information
		if($table=='tx_odsosm_track' && $fieldArray['file'] && file_exists(PATH_site.'uploads/tx_odsosm/'.$fieldArray['file'])){
			$xml=file_get_contents(PATH_site.'uploads/tx_odsosm/'.$fieldArray['file']);
			$parser=xml_parser_create();
			xml_set_element_handler($parser, "tx_odsosm_tcemain::startTag", "tx_odsosm_tcemain::endTag");
//			xml_set_character_data_handler($parser, "cdata");
			xml_parse($parser, $xml);
			xml_parser_free($parser);

			global $lat,$lon;
			$fieldArray['min_lat']=sprintf('%01.6f',min($lat));
			$fieldArray['min_lon']=sprintf('%01.6f',min($lon));
			$fieldArray['max_lat']=sprintf('%01.6f',max($lat));
			$fieldArray['max_lon']=sprintf('%01.6f',max($lon));
		}

		if($table=='tx_odsosm_marker' && $fieldArray['icon'] && file_exists(PATH_site.'uploads/tx_odsosm/'.$fieldArray['icon'])){
			$size=getimagesize(PATH_site.'uploads/tx_odsosm/'.$fieldArray['icon']);
			$fieldArray['size_x']=$size[0];
			$fieldArray['size_y']=$size[1];
			$fieldArray['offset_x']=-round($size[0]/2);
			$fieldArray['offset_y']=-$size[1];
		}
	}

	function startTag($parser, $name, $attributes){
		global $lat,$lon;
		if(strtolower($name)=='trkpt'){
			$lat[]=floatval($attributes['LAT']);
			$lon[]=floatval($attributes['LON']);
		}
	}

	function endTag($parser, $name){
	}
}
?>